cURL
curl "https://api.phrase.com/v2/projects/:project_id/keys/untag" \
-u USERNAME_OR_ACCESS_TOKEN \
-X PATCH \
-d '{"branch":"my-feature-branch","q":"mykey* translated:true","locale_id":"abcd1234abcd1234abcd1234abcd1234","tags":"landing-page,release-1.2"}' \
-H 'Content-Type: application/json'phrase keys untag \
--project_id <project_id> \
--data '{"branch":"my-feature-branch", "q":"'mykey* translated:true'", "locale_id":"abcd1234abcd1234abcd1234abcd1234", "tags":"landing-page,release-1.2"}' \
--access_token <token>import requests
url = "https://api.phrase.com/v2/projects/{project_id}/keys/untag"
payload = {
"branch": "my-feature-branch",
"q": "mykey* translated:true",
"locale_id": "abcd1234abcd1234abcd1234abcd1234",
"tags": "landing-page,release-1.2"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
branch: 'my-feature-branch',
q: 'mykey* translated:true',
locale_id: 'abcd1234abcd1234abcd1234abcd1234',
tags: 'landing-page,release-1.2'
})
};
fetch('https://api.phrase.com/v2/projects/{project_id}/keys/untag', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"records_affected": 2
}Keys
Remove tags from collection of keys
Removes specified tags from keys matching query.
PATCH
/
projects
/
{project_id}
/
keys
/
untag
cURL
curl "https://api.phrase.com/v2/projects/:project_id/keys/untag" \
-u USERNAME_OR_ACCESS_TOKEN \
-X PATCH \
-d '{"branch":"my-feature-branch","q":"mykey* translated:true","locale_id":"abcd1234abcd1234abcd1234abcd1234","tags":"landing-page,release-1.2"}' \
-H 'Content-Type: application/json'phrase keys untag \
--project_id <project_id> \
--data '{"branch":"my-feature-branch", "q":"'mykey* translated:true'", "locale_id":"abcd1234abcd1234abcd1234abcd1234", "tags":"landing-page,release-1.2"}' \
--access_token <token>import requests
url = "https://api.phrase.com/v2/projects/{project_id}/keys/untag"
payload = {
"branch": "my-feature-branch",
"q": "mykey* translated:true",
"locale_id": "abcd1234abcd1234abcd1234abcd1234",
"tags": "landing-page,release-1.2"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
branch: 'my-feature-branch',
q: 'mykey* translated:true',
locale_id: 'abcd1234abcd1234abcd1234abcd1234',
tags: 'landing-page,release-1.2'
})
};
fetch('https://api.phrase.com/v2/projects/{project_id}/keys/untag', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"records_affected": 2
}Authorizations
TokenBasic
Enter your token in the format token TOKEN
Headers
Two-Factor-Authentication token (optional)
Path Parameters
Project ID
Body
application/json
specify the branch to use
Example:
"my-feature-branch"
Specify a query to do broad search for keys by name (including wildcards).
The following qualifiers are also supported in the search term:
ids:key_id,...for queries on a comma-separated list of idsname:key_namefor text queries on exact key names - spaces, commas, and colons need to be escaped with double backslashestags:tag_nameto filter for keys with certain tagstranslated:{true|false}for translation status (also requireslocale_idto be specified)updated_at:{>=|<=}2013-02-21T00:00:00Zfor date range queriesunmentioned_in_upload:upload_id,...to filter keys unmentioned within upload. When multiple upload IDs provided, matches only keys not mentioned in all uploads
Find more examples here.
Example:
"mykey* translated:true"
Locale used to determine the translation state of a key when filtering for untranslated or translated keys.
Example:
"abcd1234abcd1234abcd1234abcd1234"
Tag or comma-separated list of tags to remove from the matching collection of keys
Example:
"landing-page,release-1.2"
Response
OK
Was this page helpful?